﻿/****** Object:  Table [dbo].[YouTube]    Script Date: 01/15/2012 22:57:41 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[YouTube](
	[id] [int] IDENTITY(1,1) NOT NULL,
	[name] [nchar](50) NOT NULL,
	[width] [int] NOT NULL,
	[height] [int] NOT NULL,
	[playlist] [ntext] NOT NULL,
	[pagesize] [int] NOT NULL,
	[plwidth] [char](8) NULL,
 CONSTRAINT [PK_YouTube] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[XmlContent]    Script Date: 01/15/2012 22:57:41 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[XmlContent](
	[xml_name] [nchar](50) NOT NULL,
	[xmlFile] [nchar](100) NOT NULL,
	[xslFile] [nchar](100) NOT NULL,
	[xmlUrl] [nchar](2048) NULL,
	[isXmlUrl] [bit] NULL,
 CONSTRAINT [PK_XmlContent] PRIMARY KEY CLUSTERED 
(
	[xml_name] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Wrappers]    Script Date: 01/15/2012 22:57:41 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[Wrappers](
	[id] [int] IDENTITY(1,1) NOT NULL,
	[name] [nchar](40) NOT NULL,
	[url] [nchar](2000) NOT NULL,
	[width] [char](6) NOT NULL,
	[height] [char](6) NOT NULL,
	[scrollbars] [char](10) NOT NULL,
	[border] [bit] NOT NULL,
	[lightbox] [bit] NOT NULL,
	[link_text] [nchar](100) NOT NULL,
	[window_title] [nchar](500) NOT NULL,
 CONSTRAINT [PK_Wrappers] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[WebUsers_Groups]    Script Date: 01/15/2012 22:57:41 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[WebUsers_Groups](
	[id] [int] IDENTITY(1,1) NOT NULL,
	[name] [nchar](30) NOT NULL,
 CONSTRAINT [PK_WebUsers_Groups] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[WebUsers]    Script Date: 01/15/2012 22:57:41 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[WebUsers](
	[id] [int] IDENTITY(1,1) NOT NULL,
	[username] [nchar](15) NOT NULL,
	[password] [nchar](15) NOT NULL,
	[email] [nchar](50) NOT NULL,
	[first] [nchar](30) NOT NULL,
	[last] [nchar](30) NOT NULL,
	[group_id] [int] NOT NULL,
	[reg_date] [datetime] NOT NULL,
	[disabled] [bit] NULL,
	[comment] [ntext] NULL,
 CONSTRAINT [PK_WebUsers] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Web_Links]    Script Date: 01/15/2012 22:57:41 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[Web_Links](
	[id] [int] IDENTITY(1,1) NOT NULL,
	[title] [nchar](50) NOT NULL,
	[url] [nchar](2000) NOT NULL,
	[active] [bit] NOT NULL,
	[order_id] [int] NOT NULL,
	[ccount] [int] NOT NULL,
	[description] [ntext] NULL,
	[thumbnail] [char](20) NULL,
 CONSTRAINT [PK_Web_Links] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[Users]    Script Date: 01/15/2012 22:57:41 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Users](
	[id] [int] IDENTITY(1,1) NOT NULL,
	[username] [nchar](20) NOT NULL,
	[password] [nchar](20) NOT NULL,
	[role] [int] NOT NULL,
	[disabled] [bit] NOT NULL,
	[locked] [bit] NOT NULL,
	[first] [nchar](30) NULL,
	[last] [nchar](50) NULL,
	[avatar] [nchar](30) NULL,
 CONSTRAINT [PK_Users] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[User_Roles]    Script Date: 01/15/2012 22:57:41 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[User_Roles](
	[id] [int] IDENTITY(1,1) NOT NULL,
	[name] [nchar](50) NOT NULL,
	[allow] [nchar](500) NOT NULL,
	[can_delete] [bit] NOT NULL,
 CONSTRAINT [PK_User_Roles] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Tweets]    Script Date: 01/15/2012 22:57:41 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[Tweets](
	[id] [int] IDENTITY(1,1) NOT NULL,
	[name] [nchar](40) NOT NULL,
	[username] [nchar](40) NOT NULL,
	[scrollbar] [bit] NOT NULL,
	[tweets] [int] NOT NULL,
	[avatars] [bit] NOT NULL,
	[timestamps] [bit] NOT NULL,
	[hashtags] [bit] NOT NULL,
	[shellbkgnd] [char](10) NOT NULL,
	[shelltext] [char](10) NOT NULL,
	[tweetbkgnd] [char](10) NOT NULL,
	[tweettext] [char](10) NOT NULL,
	[links] [char](10) NOT NULL,
	[width] [int] NOT NULL,
	[height] [int] NOT NULL,
	[autowidth] [bit] NOT NULL,
	[tweet_type] [int] NOT NULL,
	[search] [nchar](500) NOT NULL,
	[title] [nchar](100) NOT NULL,
	[caption] [nchar](100) NOT NULL,
	[toptweets] [bit] NOT NULL,
 CONSTRAINT [PK_Tweets] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[Themes]    Script Date: 01/15/2012 22:57:41 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[Themes](
	[id] [int] IDENTITY(1,1) NOT NULL,
	[theme_name] [nchar](100) NOT NULL,
	[master_name] [nchar](100) NOT NULL,
	[holder_name] [char](100) NOT NULL,
	[holder_title] [nchar](255) NOT NULL,
	[holder_group] [nchar](255) NULL,
 CONSTRAINT [PK_Themes] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[ThemeParts]    Script Date: 01/15/2012 22:57:41 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[ThemeParts](
	[id] [int] IDENTITY(1,1) NOT NULL,
	[theme_name] [nchar](100) NOT NULL,
	[master_name] [nchar](100) NOT NULL,
	[holder_name] [char](100) NOT NULL,
	[control_name] [ntext] NOT NULL,
 CONSTRAINT [PK_ThemeParts] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[Theme_Overrides]    Script Date: 01/15/2012 22:57:41 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Theme_Overrides](
	[id] [int] IDENTITY(1,1) NOT NULL,
	[theme] [nchar](100) NOT NULL,
	[template] [nchar](100) NOT NULL,
	[page] [nchar](100) NOT NULL,
 CONSTRAINT [PK_Theme_Overrides] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Test_CustomItems]    Script Date: 01/15/2012 22:57:41 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Test_CustomItems](
	[id] [int] IDENTITY(1,1) NOT NULL,
	[text] [ntext] NOT NULL,
	[title] [nchar](500) NOT NULL,
	[date] [datetime] NOT NULL,
	[author] [nchar](50) NOT NULL,
	[published] [bit] NOT NULL,
 CONSTRAINT [PK_Test_CustomItems] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Rss_Manager]    Script Date: 01/15/2012 22:57:41 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Rss_Manager](
	[id] [int] IDENTITY(1,1) NOT NULL,
	[name] [nchar](40) NOT NULL,
	[url] [nchar](2000) NOT NULL,
	[maxitems] [int] NOT NULL,
 CONSTRAINT [PK_Rss_Manager] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Random_Images]    Script Date: 01/15/2012 22:57:41 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[Random_Images](
	[id] [int] IDENTITY(1,1) NOT NULL,
	[name] [nchar](40) NOT NULL,
	[image_types] [char](50) NOT NULL,
	[folder] [nchar](100) NOT NULL,
	[link] [nchar](2000) NOT NULL,
	[max_width] [int] NOT NULL,
	[max_height] [int] NOT NULL,
 CONSTRAINT [PK_Random_Images] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[Polls]    Script Date: 01/15/2012 22:57:41 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Polls](
	[id] [int] IDENTITY(1,1) NOT NULL,
	[text] [nchar](500) NOT NULL,
	[answer1] [nchar](100) NULL,
	[answer2] [nchar](100) NULL,
	[answer3] [nchar](100) NULL,
	[answer4] [nchar](100) NULL,
	[answer5] [nchar](100) NULL,
	[answer6] [nchar](100) NULL,
	[answer7] [nchar](100) NULL,
	[answer8] [nchar](100) NULL,
	[answer9] [nchar](100) NULL,
	[answer10] [nchar](100) NULL,
	[vote1] [int] NULL,
	[vote2] [int] NULL,
	[vote3] [int] NULL,
	[vote4] [int] NULL,
	[vote5] [int] NULL,
	[vote6] [int] NULL,
	[vote7] [int] NULL,
	[vote8] [int] NULL,
	[vote9] [int] NULL,
	[vote10] [int] NULL,
 CONSTRAINT [PK_Polls] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Pages]    Script Date: 01/15/2012 22:57:41 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[Pages](
	[page_id] [char](200) NOT NULL,
	[title] [nchar](50) NOT NULL,
	[text] [ntext] NOT NULL,
	[order_id] [int] NOT NULL,
	[template] [nchar](100) NULL,
	[long_title] [nchar](250) NULL,
	[parent] [char](200) NULL,
	[enable_click] [bit] NULL,
	[permission] [int] NULL,
	[enable_redirect] [bit] NULL,
	[redirect_url] [nchar](2000) NULL,
 CONSTRAINT [PK_Pages] PRIMARY KEY CLUSTERED 
(
	[page_id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[News]    Script Date: 01/15/2012 22:57:41 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[News](
	[id] [int] IDENTITY(1,1) NOT NULL,
	[title] [nchar](100) NOT NULL,
	[text] [ntext] NOT NULL,
	[date] [datetime] NOT NULL,
 CONSTRAINT [PK_Newa] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Modules]    Script Date: 01/15/2012 22:57:41 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Modules](
	[id] [int] IDENTITY(1,1) NOT NULL,
	[name] [nchar](50) NOT NULL,
	[description] [nchar](500) NOT NULL,
	[filename] [nchar](50) NOT NULL,
	[properties] [ntext] NULL,
 CONSTRAINT [PK_Widgets] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Html_Snippets]    Script Date: 01/15/2012 22:57:41 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Html_Snippets](
	[id] [int] IDENTITY(1,1) NOT NULL,
	[name] [nchar](40) NOT NULL,
	[html] [ntext] NOT NULL,
 CONSTRAINT [PK_Html_Snippets] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Galleries]    Script Date: 01/15/2012 22:57:41 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Galleries](
	[name] [nchar](50) NOT NULL,
	[images] [ntext] NOT NULL,
 CONSTRAINT [PK_Galleries] PRIMARY KEY CLUSTERED 
(
	[name] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Extenders]    Script Date: 01/15/2012 22:57:41 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Extenders](
	[id] [int] IDENTITY(1,1) NOT NULL,
	[title] [nchar](40) NOT NULL,
	[ascx] [nchar](50) NOT NULL,
	[description] [ntext] NOT NULL,
	[disabled] [bit] NOT NULL,
 CONSTRAINT [PK_Extenders] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Dynamic_Text]    Script Date: 01/15/2012 22:57:41 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[Dynamic_Text](
	[id] [int] IDENTITY(1,1) NOT NULL,
	[name] [nchar](40) NOT NULL,
	[caching] [int] NOT NULL,
	[code] [ntext] NOT NULL,
	[guid] [char](50) NOT NULL,
 CONSTRAINT [PK_Dynamic_Text] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[Download_Paths]    Script Date: 01/15/2012 22:57:41 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Download_Paths](
	[path_name] [nchar](100) NOT NULL,
	[location] [ntext] NOT NULL,
	[extensions] [nchar](255) NOT NULL,
	[render_header] [bit] NULL,
	[render_type] [bit] NULL,
	[render_size] [bit] NULL,
	[render_date] [bit] NULL,
	[render_icon] [bit] NULL,
 CONSTRAINT [PK_Download_Paths] PRIMARY KEY CLUSTERED 
(
	[path_name] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO
/****** Object:  Table [dbo].[CustomPages]    Script Date: 01/15/2012 22:57:41 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[CustomPages](
	[title] [nchar](50) NOT NULL,
	[text] [ntext] NOT NULL,
	[order_id] [int] NULL,
	[group_name] [nchar](50) NULL,
	[id] [int] IDENTITY(1,1) NOT NULL,
	[alias] [nchar](200) NOT NULL,
	[template] [nchar](100) NULL,
	[show_title] [bit] NULL,
	[permission] [int] NULL,
 CONSTRAINT [PK_CustomPages_1] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Custom_Items]    Script Date: 01/15/2012 22:57:41 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[Custom_Items](
	[id] [int] IDENTITY(1,1) NOT NULL,
	[name] [nchar](40) NOT NULL,
	[caching] [int] NOT NULL,
	[header] [ntext] NOT NULL,
	[footer] [ntext] NOT NULL,
	[item] [ntext] NOT NULL,
	[altitem] [ntext] NOT NULL,
	[separator] [ntext] NOT NULL,
	[using] [ntext] NOT NULL,
	[code] [ntext] NOT NULL,
	[guid] [char](50) NULL,
 CONSTRAINT [PK_Custom_Items] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[Content_Modules]    Script Date: 01/15/2012 22:57:41 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[Content_Modules](
	[module_id] [char](32) NOT NULL,
	[control] [nchar](100) NOT NULL,
	[calc_width] [int] NOT NULL,
	[calc_height] [int] NOT NULL,
	[obj_properties] [ntext] NOT NULL
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[Contacts_Lists]    Script Date: 01/15/2012 22:57:41 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Contacts_Lists](
	[id] [int] IDENTITY(1,1) NOT NULL,
	[name] [nchar](50) NOT NULL,
	[sort] [int] NOT NULL,
	[paging] [bit] NOT NULL,
	[cpp] [int] NOT NULL,
	[detail] [bit] NOT NULL,
	[detailtext] [nchar](50) NOT NULL,
	[nameclick] [bit] NOT NULL,
	[category] [int] NOT NULL,
	[columns] [int] NOT NULL,
	[visibles] [ntext] NOT NULL,
	[pagingresults] [bit] NULL,
	[sort2] [int] NULL,
	[sort3] [int] NULL,
 CONSTRAINT [PK_Contacts_Lists] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Contacts_CF]    Script Date: 01/15/2012 22:57:41 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Contacts_CF](
	[id] [int] IDENTITY(1,1) NOT NULL,
	[name] [nchar](50) NOT NULL,
	[email] [nchar](50) NOT NULL,
	[subject] [nchar](50) NOT NULL,
	[message] [nchar](50) NOT NULL,
	[button] [nchar](50) NOT NULL,
	[banemails] [ntext] NOT NULL,
	[bansubjects] [ntext] NOT NULL,
	[banmessages] [ntext] NOT NULL,
	[emailcheck] [bit] NOT NULL,
 CONSTRAINT [PK_Contacts_CF] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Contacts_Categories]    Script Date: 01/15/2012 22:57:41 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Contacts_Categories](
	[id] [int] IDENTITY(1,1) NOT NULL,
	[name] [nchar](50) NOT NULL,
	[email] [nchar](50) NOT NULL,
	[formatemail] [bit] NOT NULL,
	[address] [nchar](50) NOT NULL,
	[city] [nchar](50) NOT NULL,
	[state] [nchar](50) NOT NULL,
	[postal] [nchar](50) NOT NULL,
	[country] [nchar](50) NOT NULL,
	[telephone] [nchar](50) NOT NULL,
	[fax] [nchar](50) NOT NULL,
	[website] [nchar](50) NOT NULL,
	[formatwebsite] [bit] NOT NULL,
 CONSTRAINT [PK_Contacts_Categories] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Contacts]    Script Date: 01/15/2012 22:57:41 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[Contacts](
	[id] [int] IDENTITY(1,1) NOT NULL,
	[name] [nchar](50) NOT NULL,
	[alias] [nchar](100) NOT NULL,
	[category] [int] NOT NULL,
	[published] [bit] NOT NULL,
	[image] [nchar](100) NOT NULL,
	[position] [nchar](50) NOT NULL,
	[email] [nchar](100) NOT NULL,
	[address] [ntext] NOT NULL,
	[city] [nchar](50) NOT NULL,
	[state] [nchar](50) NOT NULL,
	[postal] [char](50) NOT NULL,
	[country] [nchar](100) NOT NULL,
	[telephone] [char](50) NOT NULL,
	[fax] [char](50) NOT NULL,
	[website] [nchar](500) NOT NULL,
	[visibles] [char](100) NULL,
	[other] [ntext] NOT NULL,
	[sform] [bit] NOT NULL,
	[sort1] [nchar](50) NOT NULL,
	[sort2] [nchar](50) NOT NULL,
	[sort3] [nchar](50) NOT NULL,
	[date] [datetime] NOT NULL,
	[semail] [bit] NULL,
	[skype] [nchar](50) NULL,
	[twitter] [nchar](50) NULL,
	[facebook] [nchar](500) NULL,
	[linkedin] [nchar](500) NULL,
 CONSTRAINT [PK_Contacts] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[Configuration]    Script Date: 01/15/2012 22:57:41 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[Configuration](
	[key] [char](30) NOT NULL,
	[value] [ntext] NULL
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[Comments]    Script Date: 01/15/2012 22:57:41 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Comments](
	[id] [int] IDENTITY(1,1) NOT NULL,
	[email] [nchar](100) NOT NULL,
	[name] [nchar](50) NOT NULL,
	[text] [ntext] NOT NULL,
	[date] [datetime] NOT NULL,
	[isadmin] [bit] NOT NULL,
	[descriptor] [int] NOT NULL,
	[article_id] [int] NULL,
	[page] [nchar](100) NULL,
 CONSTRAINT [PK_Comments] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Comment_Desc]    Script Date: 01/15/2012 22:57:41 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Comment_Desc](
	[id] [int] IDENTITY(1,1) NOT NULL,
	[name] [nchar](50) NOT NULL,
	[avatar_width] [int] NOT NULL,
	[page_size] [int] NOT NULL,
	[email_text] [nchar](100) NOT NULL,
	[name_text] [nchar](100) NOT NULL,
	[enable_bb] [bit] NULL,
	[bb_color] [bit] NULL,
	[bb_size] [bit] NULL,
	[bb_align] [bit] NULL,
	[bb_url] [bit] NULL,
	[bb_img] [bit] NULL,
	[bb_list] [bit] NULL,
	[bb_h] [bit] NULL,
	[bb_hr] [bit] NULL,
	[bb_qu] [bit] NULL,
	[bb_video] [bit] NULL,
	[bb_google] [bit] NULL,
	[bb_wiki] [bit] NULL,
	[bb_desc] [ntext] NULL,
	[bad_words] [bit] NULL,
	[bad_words_replace] [nchar](500) NULL,
	[anti_spam] [bit] NULL,
	[avatar_enable] [bit] NULL,
	[default_avatar] [nchar](50) NULL,
	[button_text] [nchar](50) NULL,
	[bind_article] [bit] NULL,
 CONSTRAINT [PK_Comment_Groups] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Columns]    Script Date: 01/15/2012 22:57:41 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Columns](
	[id] [int] NOT NULL,
	[Description] [nchar](50) NOT NULL,
	[order_id] [int] NULL,
	[articles_list] [int] NULL,
 CONSTRAINT [PK_Columns] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Articles_List]    Script Date: 01/15/2012 22:57:41 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[Articles_List](
	[id] [int] IDENTITY(1,1) NOT NULL,
	[name] [nchar](50) NOT NULL,
	[categories] [char](500) NOT NULL,
	[leading] [smallint] NOT NULL,
	[intro] [smallint] NOT NULL,
	[columns] [smallint] NOT NULL,
	[links] [smallint] NOT NULL,
	[ordering] [char](2) NOT NULL,
	[spaging] [bit] NOT NULL,
	[stitle] [bit] NOT NULL,
	[sclickable] [bit] NOT NULL,
	[sauthor] [bit] NOT NULL,
	[sdate] [bit] NOT NULL,
	[shits] [bit] NOT NULL,
	[hits_text] [nchar](50) NOT NULL,
	[sreadmore] [bit] NOT NULL,
	[readmore_text] [nchar](50) NOT NULL,
	[spaging_results] [bit] NULL,
 CONSTRAINT [PK_Articles_List] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[Articles]    Script Date: 01/15/2012 22:57:41 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[Articles](
	[ID] [int] IDENTITY(1,1) NOT NULL,
	[column_id] [int] NOT NULL,
	[title] [nchar](255) NOT NULL,
	[text] [ntext] NOT NULL,
	[thumbnail] [char](40) NOT NULL,
	[image] [char](40) NOT NULL,
	[date] [datetime] NOT NULL,
	[key1] [nchar](50) NULL,
	[key2] [nchar](50) NULL,
	[key3] [nchar](50) NULL,
	[key4] [nchar](50) NULL,
	[key5] [nchar](50) NULL,
	[value1] [nchar](500) NULL,
	[value2] [nchar](500) NULL,
	[value3] [nchar](500) NULL,
	[value4] [nchar](500) NULL,
	[value5] [nchar](500) NULL,
	[read_count] [int] NULL,
	[author] [nchar](20) NULL,
	[author_alias] [nchar](50) NULL,
	[summary] [ntext] NULL,
	[published] [bit] NULL,
	[show_title] [bit] NULL,
	[title_linkable] [bit] NULL,
	[show_author] [bit] NULL,
	[show_date] [bit] NULL,
	[readmore_text] [nchar](30) NULL,
	[heading] [nchar](255) NULL,
 CONSTRAINT [PK_Articles] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Default [DF_Articles_read_count]    Script Date: 01/15/2012 22:57:41 ******/
ALTER TABLE [dbo].[Articles] ADD  CONSTRAINT [DF_Articles_read_count]  DEFAULT ((0)) FOR [read_count]
GO
