﻿<%@ WebHandler Language="C#" Class="DownloadFile" %>

using System;
using System.Web;
using System.Xml;
using MethodExtensions;

public class DownloadFile : IHttpHandler {

    private string getMimeType(string filename, HttpContext context)
    {

        string ext = System.IO.Path.GetExtension(filename).ToLower();

        XmlDocument xmlDoc = new XmlDocument();
        xmlDoc.Load(context.Server.MapPath("~/z-admin/modules/FileManager/MimeTypes.xml"));

        XmlNode node = xmlDoc.DocumentElement.SelectSingleNode("mimeMap[@fileExtension='" + ext + "']");

        string mimeType = "application/unknown";
        if (node != null)
            mimeType = node.Attributes["mimeType"].Value.Trim();

        return mimeType;
    }
    
    public void ProcessRequest (HttpContext context) {

        if (string.IsNullOrEmpty(context.Request.QueryString["fileID"]))
        {
            context.Response.ContentType = "text/plain";
            context.Response.Write("Invalid File ID specified.");
            return;
        }

        string fileID = context.Request.QueryString["fileID"];
        string filename = Utils.Security.Decrypt(fileID);
        if (filename.Length == 0)
        {
            context.Response.ContentType = "text/plain";
            context.Response.Write("Invalid File ID specified.");
            return;
        }

        filename = filename.SlashLeft();
        filename = "~" + filename;
        filename = context.Server.MapPath(filename);
        
        if (!System.IO.File.Exists(filename))
        {
            context.Response.ContentType = "text/plain";
            context.Response.Write("Invalid File ID specified.");
            return;
        }

        string onlyName = System.IO.Path.GetFileName(filename);

        context.Response.AppendHeader("content-disposition", "attachment; filename=" + onlyName);
        context.Response.ContentType = getMimeType(filename, context);
        context.Response.WriteFile(filename);
    }
 
    public bool IsReusable {
        get {
            return false;
        }
    }

}