﻿<%@ WebHandler Language="C#" Class="JSModuleHelper" %>

using System;
using System.Web;

public class JSModuleHelper : IHttpHandler, System.Web.SessionState.IRequiresSessionState {
    
    public void ProcessRequest (HttpContext context) {
        context.Response.ContentType = "text/plain";

        string sessionValue = HttpContext.Current.Session["module-to-add"] == null ? string.Empty : HttpContext.Current.Session["module-to-add"].ToString().Trim();


        string zadmin_template = "<span style='font-weight:bold; background-color:#ade6b9'>{0}</span>";
        string user_template = "<strong style='background-color:#add8e6;color:#000080;border:1px #000 solid'>{{M:{0}}}</strong>";
        string gallery_template = "<strong style='background-color:#ffff83;color:#ff0000;border:1px #000 solid'>{{G:{0}}}</span>";
        string script_template = "<script type='text/javascript'>{0}</script>";
        
        if (sessionValue.Length > 0)
        {

            string valueType = sessionValue.Substring(0, 3);
            string value = sessionValue.Substring(3);

            if (valueType == "{E}")
            {
                sessionValue = string.Format(zadmin_template, "{Z-Admin} " + value);
            }
            if (valueType == "{M}")
            {
                sessionValue = string.Format(user_template, value);
            }
            if (valueType == "{G}")
            {
                sessionValue = string.Format(gallery_template, value);
            }
            if (valueType == "{S}")
            {
                string summary = value.Trim().Replace("'", "").Replace("\n", "&#10;").Replace("\r", "");
                if (summary.Length > 2048)
                    summary = summary.Substring(0, 2045) + "...";
                                
                sessionValue = string.Format(script_template, value, summary);
            }
            if (valueType == "{C}")
            {
                sessionValue = value;
            }
            
        }

        context.Response.Write("_%_" + sessionValue);
    }
 
    public bool IsReusable {
        get {
            return false;
        }
    }

}