﻿<%@ control language="C#" autoeventwireup="true" inherits="z_admin_modules_XmlContent, App_Web_rukn4ma3" %>

<%@ Register Src="~/z-admin/modules/SyntaxHighlighter.ascx" TagName="Highlighter" TagPrefix="uc" %>

<fieldset>
<legend>Existing XML Contents</legend>

<table class="sections-table">
<tr>
<td class="section-title" style="width:90px">Content</td>
<td class="section-content"><asp:DropDownList ID="ddlPaths" runat="server" CssClass="textbox" 
    AutoPostBack="True" 
    onselectedindexchanged="ddlPaths_SelectedIndexChanged" ></asp:DropDownList>
</td>
</tr>
</table>

</fieldset>

<fieldset>
    <legend>XML Content properties</legend>

<table class="sections-table">
<tr>
<td class="section-title" style="width:90px">Name</td>
<td class="section-content"><asp:TextBox ID="tbPathName" CssClass="textbox" runat="server" 
    MaxLength="50"></asp:TextBox>
</td>
</tr>
</table>
</fieldset>


<fieldset>
    <legend>XML Data</legend>

    <div id="tabs-xml">
    <ul>
	    <li><a href="#choose-xml">Existing XML file</a></li>
	    <li><a href="#edit-xml">Enter XML</a></li>
	    <li><a href="#upload-xml">Upload file</a></li>
	    <li><a href="#url-xml">Get from URL</a></li>
    </ul>

    <div id="choose-xml">
    <table border="0" cellpadding="0" cellspacing="0">
    <tr>
    <td style="padding-right:10px">

    <asp:DropDownList ID="ddlXml" runat="server" CssClass="textbox" Width="300px" 
        AutoPostBack="True" onselectedindexchanged="previewXmlData" ></asp:DropDownList>

    </td>
    <td>
    
    <asp:Button ID="btnDeleteXml2" runat="server" Text="Delete XML file" 
            CssClass="button" OnClientClick="return confirm('Delete XML file ?');" 
            onclick="btnDeleteXML_Click" />
    
    </td>
    </tr>
    </table>
    </div>

    <div id="edit-xml">
    
    <strong>XML <asp:Literal ID="litXMLFile" runat="server"></asp:Literal></strong><br />

    <uc:Highlighter ID="tbEditXML" runat="server" LineNumbers="false" Hightlighter="xml" />
    
    <strong>Filename</strong><br />
    <asp:TextBox ID="tbXmlFile" runat="server" CssClass="textbox" Width="630px"></asp:TextBox>

    <div style="padding-top:15px">
    <asp:Button ID="btnSaveXML" runat="server" Text="Save XML file" CssClass="button" 
            onclick="btnSaveXML_Click" />

    <asp:Button ID="btnDeleteXML" runat="server" Text="Delete XML file" 
            CssClass="button" OnClientClick="return confirm('Delete XML file ?');" 
            style="margin-left:10px" onclick="btnDeleteXML_Click" />

    </div>

    </div>

    <div id="upload-xml">
    <table border="0" cellpadding="0" cellspacing="0">
    <tr>
    <td style="padding-right:10px">
        <asp:FileUpload ID="fuXML" runat="server" CssClass="textbox" />
    </td>
    <td>
    <asp:Button ID="btnUploadXML" runat="server" CssClass="button" Text="Upload" 
            onclick="btnUploadXML_Click" />
    </td>
    </tr>
    </table>
    </div>

    <div id="url-xml">
    <strong>Enter URL location of XML data</strong><br />
    <table border="0" cellpadding="0" cellspacing="0">
    <tr>
    <td style="padding-right:10px">
        <asp:TextBox ID="tbXmlURL" runat="server" CssClass="textbox"></asp:TextBox>
    </td>
    <td>
    <asp:Button ID="btnGetXMLUrl" runat="server" CssClass="button" Text="Get XML" 
            onclick="btnGetXMLUrl_Click" />
    </td>
    </tr>
    </table>

    <div class="info-area">
    Note, you will usually set this to some external Data source, such as REST Web Service which returns data in XML format.
    <br />
    To import RSS data, please use module <strong>RSS Manager </strong>
    </div>

    </div>

</div>

</fieldset>

<fieldset>
    <legend>XSLT transformation</legend>

    <div id="tabs-xsl">
    <ul>
	    <li><a href="#choose-xsl">Existing XSLT file</a></li>
	    <li><a href="#edit-xsl">Enter XSLT</a></li>
	    <li><a href="#upload-xsl">Upload file</a></li>
    </ul>

    <div id="choose-xsl">
    <table border="0" cellpadding="0" cellspacing="0">
    <tr>
    <td style="padding-right:10px">

    <asp:DropDownList ID="ddlXslt" runat="server" CssClass="textbox" Width="300px" 
    AutoPostBack="True" onselectedindexchanged="previewData" ></asp:DropDownList>
    
    </td>
    <td>
    
    <asp:Button ID="btnDeleteXsl2" runat="server" Text="Delete XSLT file" 
            CssClass="button" OnClientClick="return confirm('Delete XSLT file ?');" 
            onclick="btnDeleteXSL_Click" />

    </td>
    </tr>
    </table>
    </div>

    <div id="edit-xsl">
    
    <strong>XSL <asp:Literal ID="litXSL" runat="server"></asp:Literal></strong><br />

    <uc:Highlighter ID="tbEditXsl" runat="server" LineNumbers="false" Hightlighter="xml" />

    
    <strong>Filename</strong><br />
    <asp:TextBox ID="tbXslFile" runat="server" CssClass="textbox" Width="630px"></asp:TextBox>

    <div style="padding-top:15px">
    <asp:Button ID="btnSaveXsl" runat="server" Text="Save XSL file" CssClass="button" 
            onclick="btnSaveXsl_Click" />

    <asp:Button ID="btnDeleteXSL" runat="server" Text="Delete XSL file" 
            CssClass="button" OnClientClick="return confirm('Delete XSL file ?');" 
            style="margin-left:10px" onclick="btnDeleteXSL_Click" />

    </div>

    </div>

    <div id="upload-xsl">
    <table border="0" cellpadding="0" cellspacing="0">
    <tr>
    <td style="padding-right:10px">
        <asp:FileUpload ID="fuXsl" runat="server" CssClass="textbox" />
    </td>
    <td>
    <asp:Button ID="btnUploadXSL" runat="server" CssClass="button" Text="Upload" 
            onclick="btnUploadXSL_Click" />
    </td>
    </tr>
    </table>
    </div>

</div>
</fieldset>

<script language="javascript" type="text/javascript">

    $(function () {
        $("#tabs-xml").tabs({ selected: <%=GetSelectedXMLTab() %> });
        $("#tabs-xsl").tabs({ selected: 0 });
        $("#tabs-preview").tabs({ selected: 0 });

        /*
        editAreaLoader.init({
            id: '<%=tbEditXML.ClientID %>'
			, start_highlight: true
			, allow_resize: "yes"
            , language: "hr"
			, allow_toggle: false
			, word_wrap: true
			, syntax: 'xml'
            , font_family: "Consolas, Courier New, monospace"
            , show_line_colors: false
            , toolbar: ""
        });

        editAreaLoader.init({
            id: '<%=tbEditXsl.ClientID %>'
			, start_highlight: true
			, allow_resize: "yes"
            , language: "hr"
			, allow_toggle: false
			, word_wrap: true
			, syntax: 'xml'
            , font_family: "Consolas, Courier New, monospace"
            , show_line_colors: false
            , toolbar: ""
        });*/

    });




</script>

<fieldset>
    <legend>XML transform result preview</legend>

    <div style="clear:both"></div>
<div id="tabs-preview">
    <ul>
    <li><a href="#preview-output">Preview output</a></li>
    <li><a href="#preview-html">Preview HTML</a></li>
    </ul>

    <div id="preview-output">

        <iframe frameborder="0" style="width:650px; height:250px" id="ifrPreview" runat="server">
        
        </iframe>

    </div>

    <div id="preview-html">

        <iframe frameborder="0" style="width:650px; height:250px" id="ifrCode" runat="server">
        </iframe>

    </div>

</div>
</fieldset>

<div style="clear:both"></div>

<div id="button-area">
<asp:Button ID="btnSave" runat="server" CssClass="button" Text="Save changes" 
        OnClientClick="return confirm('Save changes on selected content ?');" 
        onclick="btnSave_Click" />
<asp:Button ID="btnAdd" runat="server" CssClass="button" Text="Add new content" 
        OnClientClick="return confirm('Add new content ?');" 
        style="margin:0 10px" onclick="btnAdd_Click"/>

<asp:Button ID="btnDelete" runat="server" CssClass="button" Text="Delete content" 
        OnClientClick="return confirm('Delete selected content ?');" 
        onclick="btnDelete_Click" />
</div>